Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO]Aggiornamento a VBox 4.2.18 e USE qt4 disabilitata
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Massimog
Tux's lil' helper
Tux's lil' helper


Joined: 04 Nov 2011
Posts: 106
Location: Osimo(AN)

PostPosted: Thu Nov 21, 2013 2:39 pm    Post subject: [RISOLTO]Aggiornamento a VBox 4.2.18 e USE qt4 disabilitata Reply with quote

Ciao a tutti... un po di tempo fa avevo aggiornato virtualbox alla versione 4.2.18, ieri ho provato ad avviarlo ma non l'ho trovavo nel menu applicazioni di gnome.Ho cercato anche in /bin e /usr/bin ma non c'era traccia, cosi ho provato a reinstallare e ho visto che la USE qt4 era disabilitata.Volevo sapere se è un cambiamento voluto o è stata una dimenticanza.
Grazie in anticipo
_________________
Distribuzione: Gentoo x86_64
Desktop: GNOME 3.8


Last edited by Massimog on Mon Nov 25, 2013 8:22 pm; edited 1 time in total
Back to top
View user's profile Send private message
fturco
Apprentice
Apprentice


Joined: 08 Dec 2010
Posts: 273
Location: Italy

PostPosted: Thu Nov 21, 2013 3:18 pm    Post subject: Reply with quote

Che io sappia le USE flag predefinite vengono specificate dal profilo prescelto. Cosa ti restituisce il comando:
Code:
euse -i -g qt4

? (euse fa parte del pacchetto gentoolkit)
Back to top
View user's profile Send private message
sabayonino
Apprentice
Apprentice


Joined: 03 Jan 2012
Posts: 242

PostPosted: Thu Nov 21, 2013 3:19 pm    Post subject: Reply with quote

l'eseguibile dovrebbe trovarsi in /opt/VirtualBox o comunque in /opt
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
Massimog
Tux's lil' helper
Tux's lil' helper


Joined: 04 Nov 2011
Posts: 106
Location: Osimo(AN)

PostPosted: Thu Nov 21, 2013 10:08 pm    Post subject: Reply with quote

fturco wrote:
Che io sappia le USE flag predefinite vengono specificate dal profilo prescelto. Cosa ti restituisce il comando:
Code:
euse -i -g qt4

? (euse fa parte del pacchetto gentoolkit)


Code:
tani@gentoo-laptop ~ $ euse -i -g qt4
global use flags (searching: qt4)
************************************************************
[- cD   ] qt4 - Add support for the Qt GUI/Application Toolkit version 4.x


ultimamente ho eliminato per sbaglio il file package.use, puo darsi che la prima volta avevo inserito qt4 li.comunque anche dal wiki qt4 è abilitato di default https://wiki.gentoo.org/wiki/VirtualBox
_________________
Distribuzione: Gentoo x86_64
Desktop: GNOME 3.8
Back to top
View user's profile Send private message
Massimog
Tux's lil' helper
Tux's lil' helper


Joined: 04 Nov 2011
Posts: 106
Location: Osimo(AN)

PostPosted: Thu Nov 21, 2013 10:10 pm    Post subject: Reply with quote

sabayonino wrote:
l'eseguibile dovrebbe trovarsi in /opt/VirtualBox o comunque in /opt


si trova in
Code:
tani@gentoo-laptop ~ $ ls /usr/bin/|grep Vir
VirtualBox

_________________
Distribuzione: Gentoo x86_64
Desktop: GNOME 3.8
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4723
Location: not so far from an evil, world famous volcano. Under dictatorship, idiocracy, property of banks...

PostPosted: Fri Nov 22, 2013 10:03 am    Post subject: Reply with quote

verifica per la use headless (che disabilita qt4 se non ricordo male), controlla che che in make.conf non hai da qualche parte un USE="-*" o USE="-qt4" (come mi fa pensare quel "[- cD ]", come ti è stato giustamente suggerito), controlla il profilo che hai scelto (ed un eselect profile set x --force non guasta mai).

Per giocare con make.conf euse e ufed (almeno per riordinare alfabeticamente e per linea, o per cercare cosa è attivo, per lavoare meglio un euse -D/-E) sono tuoi amici, editare a manina no (lo ho imparato a mie spese). :wink:

Se hai eliminato package.use controlla prima che tutto il sistema non abbia altre dipendenze da sistemare (quindi emerge per @pèreserved-rebuild o per --depclean non riporta nulla, non basta che per -DNu sia a posto), eventualmente
Code:
emerge -1 libtool
se hai aggiornato il gcc ed un python-update non guastano.

Considerando che non hai riportato il profilo e le use attivate per il pacchetto, con queste scarne informazioni che fornisci, tutto ciò che posso è tirare ad indovinare per produrmi in siffatti suggerimenti generici (con ogni probabilità balordi).

caveat emptor: non ho verificato i comandi e sono andato a memoria, quindi controlla prima di fare danni.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Massimog
Tux's lil' helper
Tux's lil' helper


Joined: 04 Nov 2011
Posts: 106
Location: Osimo(AN)

PostPosted: Sun Nov 24, 2013 9:37 pm    Post subject: Reply with quote

djinnZ wrote:
verifica per la use headless (che disabilita qt4 se non ricordo male), controlla che che in make.conf non hai da qualche parte un USE="-*" o USE="-qt4" (come mi fa pensare quel "[- cD ]", come ti è stato giustamente suggerito), controlla il profilo che hai scelto (ed un eselect profile set x --force non guasta mai).

Per giocare con make.conf euse e ufed (almeno per riordinare alfabeticamente e per linea, o per cercare cosa è attivo, per lavoare meglio un euse -D/-E) sono tuoi amici, editare a manina no (lo ho imparato a mie spese). :wink:

Se hai eliminato package.use controlla prima che tutto il sistema non abbia altre dipendenze da sistemare (quindi emerge per @pèreserved-rebuild o per --depclean non riporta nulla, non basta che per -DNu sia a posto), eventualmente
Code:
emerge -1 libtool
se hai aggiornato il gcc ed un python-update non guastano.

Considerando che non hai riportato il profilo e le use attivate per il pacchetto, con queste scarne informazioni che fornisci, tutto ciò che posso è tirare ad indovinare per produrmi in siffatti suggerimenti generici (con ogni probabilità balordi).

caveat emptor: non ho verificato i comandi e sono andato a memoria, quindi controlla prima di fare danni.


make.conf
Code:
USE="networkmanager nvidia xvmc v4l2 lm_sensors -qt4"


eselect profile list
Code:
 [4]   default/linux/amd64/13.0/desktop/gnome *


di sicuro stava il package.use prima che la eliminavo... se non ci sono altri suggerimenti posso mettere RISOLTO
_________________
Distribuzione: Gentoo x86_64
Desktop: GNOME 3.8
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4723
Location: not so far from an evil, world famous volcano. Under dictatorship, idiocracy, property of banks...

PostPosted: Mon Nov 25, 2013 7:31 pm    Post subject: Reply with quote

Unico consiglio che posso darti è di usare package.use come dir. Voluto, se era questo che intendevi, è voluto perchè l'interfaccia grafica è qt-based. Un poco come per la vecchia storia della dipendenza da gtk di OOo per evere l'icona tray su kde. Non è realmente usato ma nel makefile o negli autotools li pretende comunque.
Ci sono pacchetti che si tirano appresso gnome o kde indipendentemente da quello che hai scelto.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Massimog
Tux's lil' helper
Tux's lil' helper


Joined: 04 Nov 2011
Posts: 106
Location: Osimo(AN)

PostPosted: Mon Nov 25, 2013 8:20 pm    Post subject: Reply with quote

djinnZ wrote:
Unico consiglio che posso darti è di usare package.use come dir. Voluto, se era questo che intendevi, è voluto perchè l'interfaccia grafica è qt-based. Un poco come per la vecchia storia della dipendenza da gtk di OOo per evere l'icona tray su kde. Non è realmente usato ma nel makefile o negli autotools li pretende comunque.
Ci sono pacchetti che si tirano appresso gnome o kde indipendentemente da quello che hai scelto.


A dire la verità è stato quando stavo cercando di creare la dir package.use, che usando con poca attenzione il comando mv mi son giocato il file(adesso sarò più attento :lol: )
Adesso è tutto chiaro
grazie a tutti
_________________
Distribuzione: Gentoo x86_64
Desktop: GNOME 3.8
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum